---
metadata:
  - name: generator
    content: Diplodoc Platform v5.54.5
  - property: og:type
    content: article
  - property: article:section
    content: Справочник API
  - property: og:title
    content: Получить связи сущности
  - property: article:tag
    content: Техническая инструкция
alternate:
  - https://yandex.com.tr/support/tracker/en/api-ref/entities/links/get-links.md
  - href: en/api-ref/entities/links/get-links.md
    type: text/markdown
    title: Markdown version
  - href: ../../../llms.txt
    type: text/markdown
    title: llms.txt
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/tracker/en/llms.txt


# Getting entity links

The request allows you to get information about an [entity's](https://yandex.com.tr/support/tracker/en/api-ref/entities/about-entities.md) links with other entities.

<div class="request_example method_get yfm-clipboard">
    <p>GET</p>
    <pre><code>https://api.tracker.yandex.net/v3/entities/&lt;entity_type>/&lt;entity_ID>/links?fields=&lt;entity_fields></code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/api-ref/_assets/style/methods.md -->

<!-- endsource: en/api-ref/_assets/style/methods.md -->

## Query format {#query}

Before making a request, [get permission to access the API](https://yandex.com.tr/support/tracker/en/api-ref/access.md).

To get entity links, use an HTTP `GET` request.

```json translate=no
GET /v3/entities/<entity_type>/<entity_ID>/links?fields=<entity_fields>
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>
```

<!-- source: en/api-ref/_includes/headings.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/api-ref/_includes/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Identity Hub organization is linked to Tracker. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/api-ref/_includes/authorization.md -->


* <!-- source: en/api-ref/_includes/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Identity Hub.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/api-ref/_includes/org-id.md -->


{% endcut %}
<!-- endsource: en/api-ref/_includes/headings.md -->

<!-- source: en/api-ref/_includes/resource-entity.md -->
{% cut "Resource" %}

| Parameter | Description | Data type |
-------- | -------- | ----------
| \<entity_type> | Entity type:<ul><li>project</li><li>portfolio</li><li>goal</li></ul> | String |
| \<entity_ID> | Entity ID. To get the ID, see the [entity list](../search-entities.md). You can use the `id` or `shortId` parameter as the ID. | String |

{% endcut %}
<!-- endsource: en/api-ref/_includes/resource-entity.md -->

{% cut "Request parameters" %}

**Additional parameters**

| Parameter | Description | Data type |
----- | ----- | -----
| fields | Fields of the linked entities to include in the response. [Supported fields](../about-entities.md#query-params) | String |

{% endcut %}

> Example: Get links between entities
>
> - An HTTP GET method is used.
> - The response includes the `id` and `summary` fields of the linked entities.
>
> ```
> GET https://api.tracker.yandex.net/v3/entities/project/<project_ID>/links?fields=id,summary
> ```

## Response format {#answer}

{% list tabs %}

- Request executed successfully

  <!-- source: en/api-ref/_includes/answer-200.md -->
  If the request is successful, the API returns a response with code `200 OK`.
  <!-- endsource: en/api-ref/_includes/answer-200.md -->

  The response body contains information about the entity links in JSON format.

  ```json translate=no
  [
      {
          "type": "is dependent by",
          "linkFieldValues": {
              "summary": "Project 1",
              "id": "6582874de6db7f5f********"
          }
      },
      {
          "type": "relates",
          "linkFieldValues": {
              "summary": "Project 2",
              "id": "65868f3fe2b9ef74********"
          }
      }
  ]
  ```

  {% cut "Response parameters" %}

   #|
   || Parameter | Description | Data type ||
   || relationship |
   {% include [links](../../_includes/entity-links.md) %} |
   String
   ||
   ||  linkFieldValues | List of fields and their values in linked entities. List of fields is specified in the `fields` parameter of the request. For more information, see [Additional entity parameters](https://yandex.com.tr/support/tracker/en/api-ref/entities/about-entities.md#query-params) | String ||
   |#

  {% endcut %}

- Request failed

  If the request is processed incorrectly, the API returns a response with an error code:

  <!-- source: en/api-ref/_includes/answer-error-400.md -->
  400
  :   One or more request parameters have an invalid value.
  <!-- endsource: en/api-ref/_includes/answer-error-400.md -->

  <!-- source: en/api-ref/_includes/answer-error-404.md -->
  404
  :   The requested object was not found. You may have specified an invalid object ID or key.
  <!-- endsource: en/api-ref/_includes/answer-error-404.md -->

  <!-- source: en/api-ref/_includes/answer-error-422.md -->
  422
  :   JSON validation error, the request is rejected.
  <!-- endsource: en/api-ref/_includes/answer-error-422.md -->

{% endlist %}

{% included (../../_includes/entity-links.md) %}
Link type. For projects and portfolios:
* `depends on`: The current entity depends on the linked one.
* `is dependent by`: The current entity blocks the linked one.
* `works towards`: Project link to a goal.

For goals:
* `parent entity`: Parent goal.
* `child entity`: Subgoal.
* `depends on`: The current goal depends on the linked one.
* `is dependent by`: The current goal blocks the linked one.
* `is supported by`: Link to a project.

{% endincluded %}